# SDIS29-2
---
### **Serveur ap32-test**

### Rôles du serveurs :

  * **ap33-prod**:Sera utilisé comme base de données MariaDB. Ce serveur sera également utilisé pour le développement et le déploiement d'applications via Tomcat10.

### Installation via les playbook ansible 
---
## Utilisation du playbook apbase.yml, prépare la configuration de base du système. Il effectue les tâches suivantes :

- **Paramétrage du Fuseau Horaire** : Définit le fuseau horaire sur `Europe/Paris` pour assurer la cohérence des logs et des opérations temporelles.
- **Configuration du Proxy pour APT** : Ajoute une configuration de proxy pour `apt` dans le fichier `/etc/apt/apt.conf`, permettant d'utiliser un proxy réseau pour les mises à jour des paquets.
- **Mise à Jour et Mise à Niveau des Paquets** : Met à jour le cache `apt` et effectue une mise à jour des paquets pour garantir que le système est à jour.
- **Installation de Paquets Essentiels** : Installe plusieurs paquets nécessaires :
  - `tomcat10`
  - `mariadb-server`
  - `ant`
  - `qemu-guest-agent`
  
  ---

## Utilisation de apdb.yml, initialise la base de données MySQL en créant les éléments suivants :

- **Installation de la Bibliothèque Python pour MySQL** : Installe `python3-pymysql`, nécessaire pour que Ansible puisse gérer MySQL.
- **Création d'une Base de Données** : Crée une base de données nommée `sdis29` demandé par les professeurs.
- **Création d'un Utilisateur** : Ajoute un utilisateur `admin` avec comme mot de passe (`Azerty1+`) et on lui donnera tous les privilèges sur la base de données.
- **Copie du Fichier SQL** : Transfère le fichier `sdis29.sql` vers le serveur pour initialiser la base de données.
- **Importation de la Base de Données** : Importe le contenu de `sdis29.sql` dans la base de donnée `sdis29`, ce qui configure les tables et données initiales.

> **Objectif** : Configurer et initialiser une base de données MySQL pour les besoins applicatifs.
